# 1.0.2 Release Note

## Features

- [Feature][Seatunnel-web]Add support to configure placeholder with default value in the job config. (#208)
- [Improvement] [Seatunnel-web] Add API to get and update job definition. (#198)
- [Improvement] [Seatunnel-web] Add API to get job execution status. (#197)
- [Improvement] [Seatunnel-web] Add support to provide reason for job failure (#196)
- [Feature] [Seatunnel-web] Add support to execute job with parameter through API. (#193)
- [Feature][Seatunnel-web] Add support to create job with single API. (#184)
- [Improvement][Seatunnel-web] Add support to execute seatunnel-web REST API e2e (#180)
- [Feature][Seatunnel-web] Add FakeSource and Console data sources into seatunnel-web (#176)

## Bugs
- [Bug] [Seatunnel-web] Tasks pagination is not working (#232)
- [Bug][Seatunnel-web][Addendum] Escape seatunnel-web placeholders (#228)
- [Bug][Seatunnel-web] download_datasource.sh fails due to missing mvnw command (#227)
- [Bug][Seatunnel-web] Escape seatunnel-web placeholders (#225)
- [Bug] [Seatunnel-web] [HiveJDBC] Duplicate columns are displayed in source (#221)
- [Bug][Seatunnel-web][Hive] Filter system databases (#222)
- [Bug] [Seatunnel-web] HiveJDBC should not be used as a sink datasource (#223)
- [Bug][Seatunnel-web][DB2] DB2 Datasource fails due to improper use of database and schema names. (#220)
- [Bug][Seatunnel-web][Hive] An error occurred during the attempt to save a job using the Hive connector. (#216)
- [Bug] [Seatunnel-web][Hive] Hive data source is not appearing in UI during the configuration of the Hive source. (#211)
- [Bug] [Seatunnel-web] [Metrics] NPE while fetching metrics from seatunnel-engine. (#206)
- [Bug][Seatunnel-web] Task instance filter is not working as expected (#204)
- [Bug] [Seatunnel-web] Job mode is hardcoded, job create API is always creates BATCH job. (#203)
- [Bug] [Seatunnel-web] Job instance delete is not working (#200)
- [Bug] [Seatunnel-web] GET /seatunnel/api/v1/job/definition fails when job mode is passed (#201)
- [Bug] [Seatunnel-web] GET /seatunnel/api/v1/job/executor/resource API is not using logged-in user. (#195)
- [Bug] [Seatunnel-web] When job execution initialization fails, the job execution status remains unchanged. (#194)
- [Bug] [Seatunnel-web] Create log directory if it does not exist. (#187)
- [Bug] [Seatunnel-web] Validation messages are wrong (#186)
- [Fix]Fix the run_time calculation to account for missing days. (#185)
- [Bug][Seatunnel-web] Jwt Algorithm is hardcoded. Use the configured jwt algorithm (#179)
- [Bug] [Seatunnel-web] seatunnel-web start and plugin download scripts by default do not have execute permission. (#178)
- [Bug] [Seatunnel-web] Seatunnel-web always requires the cluster name to be seatunnel (#174)
- [Bug] [Seatunnel-web] gc.log, nohup.out is created outside of logs directory (#172)

## Improvements
- [Improvement] [Seatunnel-web] Add support to provide reason for job failure: UI change (#231)
- [Improvement][Seatunnel-web] Document Placeholder feature (#230)
- [Improve][SeaTunnel-Web] Update README_CN.md for version 2.3.8 (#229)
- [Improvement][Seatunnel-web] Bump seatunnel version from 2.3.7 to 2.3.8 (#226)
- [Doc]init deploy readme optimize (#224)
- [Improvement][Seatunnel-web] Support H2 database in integration tests (#219)
- [Improvement][Seatunnel-web][Hive-JDBC] Add Hive-JDBC into seatunnel-web (#218)
- [Improvement][Seatunnel-web] Rename package com.whaleops.datasource to org.apache.seatunnel (#217)
- [Improve][SeaTunnel-Web] Unified use of JSONUtils (#214)
- [Improve][SeaTunnel-Web] Unified version (#212)
- [Improve][SeaTunnel-Web] Change JobMode and EngineType to enum type to avoid hard coding (#210)
- [Improvement][Seatunnel-web] dom4j-1.6.1.jar has multiple CVEs, update the versions-maven-plugin version to avoid downloading the vulnerable version (#209)
- [Improve][SeaTunnel-Web] Change JobStatus to enum type to avoid hard coding (#205)
- [Improve] Update README.md for version 2.3.8 (#207)
- [Improvement] [Seatunnel-web] velocity-1.7.jar have multiple CVEs, upgrade all maven plugins which depend on this. (#202)
- [Improvement] [Seatunnel-web] Improve code in DatasourceServiceImpl,SeaTunnelEngineMetricsExtractor etc. (#199)
- [Chore] Code clean
- [Improvement] [Seatunnel-web] Bump seatunnel version from 2.3.6 to 2.3.7 (#190)
- [Build] Update snapshot version to 1.0.2 (#182)
- [Improvement][Seatunnel-web] Execute job REST API should be of type POST, not GET (#183)
- [Improvement][Seatunnel-web] Bump frontend-maven-plugin from 1.11.3 to 1.15.0 and slf4j.version from 1.7.25 to 1.7.36 (#177)
- [Improve][feature] Add Info Icon and [Bug] Fix Design Issue In the Task Definition (#171)
- Revert "Update README.md for fix the seatunnel.sh cmd (#158)" (#175)
- Update README.md for fix the seatunnel.sh cmd (#158)
- add icon (#156)
- [Improve] [Seatunnel-Web] Add support for Seatunnel 2.3.6 in Seatunnel-Web. (#170)
- Update .asf.yaml (#173)
- Update doc of jwt.secretKey (#169)


